package org.bench4q.share.models.agent;

import java.util.List;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlElementWrapper;
import javax.xml.bind.annotation.XmlRootElement;

@XmlRootElement(name = "BehaviorBriefModel")
public class BehaviorBriefModel {
	private int behaviorId;
	private String behaviorUrl;
	private long totalCount;
	private long successfulCount;
	private List<BehaviorStatusCodeResultModel> detailStatusCodeResultModels;

	@XmlElement
	public int getBehaviorId() {
		return behaviorId;
	}

	public void setBehaviorId(int behaviorId) {
		this.behaviorId = behaviorId;
	}

	@XmlElement
	public String getBehaviorUrl() {
		return behaviorUrl;
	}

	public void setBehaviorUrl(String behaviorUrl) {
		this.behaviorUrl = behaviorUrl;
	}

	@XmlElementWrapper(name = "detailStatusCodeResultList")
	@XmlElement(name = "detailStatusCodeResult")
	public List<BehaviorStatusCodeResultModel> getDetailStatusCodeResultModels() {
		return detailStatusCodeResultModels;
	}

	public void setDetailStatusCodeResultModels(
			List<BehaviorStatusCodeResultModel> detailStatusCodeResultModels) {
		this.detailStatusCodeResultModels = detailStatusCodeResultModels;
	}

	@XmlElement
	public long getTotalCount() {
		return totalCount;
	}

	public void setTotalCount(long totalCount) {
		this.totalCount = totalCount;
	}

	@XmlElement
	public long getSuccessfulCount() {
		return successfulCount;
	}

	public void setSuccessfulCount(long successfulCount) {
		this.successfulCount = successfulCount;
	}

}
